<?php
	class PaisController extends PaisModel {
		private $codigo;
		private $designacao;
		private $codigoIso;
		private $descricao;

		public function __construct($codigo, $designacao, $codigoIso, $descricao){
			$this->codigo = $codigo;
			$this->designacao = $designacao;
			$this->codigoIso = $codigoIso;
			$this->descricao = $descricao;
		}

		public function createPais(){
			$result = $this->insertPais($this->codigo, $this->designacao, $this->codigoIso, $this->descricao);
			return $result;
		}

		public function updatePais($idPais){
			$result = $this->editPais($idPais, $this->codigo, $this->designacao, $this->codigoIso, $this->descricao);
			return $result;
		}

	}